# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/namespaces" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"namespaces": [
{
"name": "example-namespace",
"record_count": 20000,
"schema": {
"fields": {
"description": {
"filterable": true
},
"genre": {
"filterable": true
},
"year": {
"filterable": true
}
}
},
"indexed_fields": {
"fields": [
"genre",
"year",
"author"
]
}
}
],
"pagination": {
"next": "Tm90aGluZyB0byBzZWUgaGVyZQo="
},
"total_count": 25
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Namespaces
List namespaces
List all namespaces in a serverless index.
Up to 100 namespaces are returned at a time by default, in sorted order (bitwise “C” collation). If the limit parameter is set, up to that number of namespaces are returned instead. Whenever there are additional namespaces to return, the response also includes a pagination_token that you can use to get the next batch of namespaces. When the response does not include a pagination_token, there are no more namespaces to return.
For guidance and examples, see Manage namespaces.
Note: This operation is not supported for pod-based indexes.
GET
/
namespaces
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/namespaces" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"namespaces": [
{
"name": "example-namespace",
"record_count": 20000,
"schema": {
"fields": {
"description": {
"filterable": true
},
"genre": {
"filterable": true
},
"year": {
"filterable": true
}
}
},
"indexed_fields": {
"fields": [
"genre",
"year",
"author"
]
}
}
],
"pagination": {
"next": "Tm90aGluZyB0byBzZWUgaGVyZQo="
},
"total_count": 25
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/namespaces" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Query Parameters
Was this page helpful?